> For the complete documentation index, see [llms.txt](https://docs.flowretail.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.flowretail.com/docs/developers/api-documentation/accounting-configs.md).

# Accounting Configs

AccountingConfigs

## List accounting configs entries

> Lists all accounting configs entries belonging to the supplied store

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"AccountingConfigs","description":"AccountingConfigs"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"authToken":[]},{"accessToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"responses":{"accountingConfigsListResponse":{"description":"Response containing a list of accounting configs entries","content":{"application/json":{"schema":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/AccountingConfigsResponseSchema"}},"paging":{"$ref":"#/components/schemas/Paging"}}}}}}},"schemas":{"AccountingConfigsResponseSchema":{"title":"AccountingConfigsResponseSchema","description":"Accounting configs model","type":"object","required":["accountingConfigsUid","configType","key","value","vatCodeUid","productGroupUid"],"properties":{"accountingConfigsUid":{"type":"string"},"configType":{"$ref":"#/components/schemas/AccountingConfigTypeENUM"},"key":{"$ref":"#/components/schemas/AccountingConfigKeyENUM"},"value":{"type":"string"},"vatCodeUid":{"$ref":"#/components/schemas/OptionalUID"},"productGroupUid":{"$ref":"#/components/schemas/OptionalUID"}}},"AccountingConfigTypeENUM":{"enum":["ACCOUNTNUMBER","TREATCODE","VAT_TYPE_ID","PRODUCTGROUP"],"title":"AccountingConfigTypeENUM","type":"string"},"AccountingConfigKeyENUM":{"enum":["CUSTOMER","CUSTOMERDUMMY","ERROR","PARTLYPAIDINVOICE","CREDITLEDGER","GENERALLEDGER","LEDGER","BALANCE","VATCODE","PAYMENT","CASHFLOAT_DEPOSIT","CASHFLOAT_WITHDRAWAL","CASHFLOAT_TO_BANK","CASHFLOAT_EXPENSE_WITHDRAWAL","CASHFLOAT_DIFF","MARGIN_VAT_SALES","MARGIN_VAT"],"title":"AccountingConfigsConfigKeyEnums","type":"string"},"OptionalUID":{"title":"OptionalUID","type":"string","pattern":"^[A-Za-z0-9-_]*"},"Paging":{"description":"totalCount The total number of items in the result set.\n\npageSize The number of items per page.\n\npageNumber The current page in the result set.","properties":{"pageNumber":{"type":"integer"},"pageSize":{"type":"integer"},"totalCount":{"type":"integer"}},"required":["totalCount","pageSize","pageNumber"],"title":"Paging","type":"object"},"SortDirectionENUM":{"description":"|ENUM      | Description |\n| ---------------- | ------------ |\n| ASC | Sort in ascending order|\n| DESC | Sort in descending order|\n","enum":["ASC","DESC"],"title":"SortDirectionENUM","type":"string"}},"parameters":{"pageNumberQuery":{"description":"Reference to a specific page in a result set.","in":"query","name":"pageNumber","required":false,"schema":{"type":"integer"}},"pageSizeQuery":{"description":"The number of items per page in a result set.","in":"query","name":"pageSize","required":false,"schema":{"type":"integer"}},"sortByQuery":{"description":"Defines which field the resource list is sorted by.","in":"query","name":"sortBy","required":false,"schema":{"type":"string"}},"sortDirectionQuery":{"description":"Reference to a sort direction","explode":false,"in":"query","name":"sortDirection","schema":{"$ref":"#/components/schemas/SortDirectionENUM"},"style":"form"}}},"paths":{"/tenants/{tenantUid}/stores/{storeUid}/accountingConfigs":{"get":{"description":"Lists all accounting configs entries belonging to the supplied store","operationId":"list-accountingConfigs","responses":{"200":{"$ref":"#/components/responses/accountingConfigsListResponse"}},"summary":"List accounting configs entries","parameters":[{"$ref":"#/components/parameters/pageNumberQuery"},{"$ref":"#/components/parameters/pageSizeQuery"},{"$ref":"#/components/parameters/sortByQuery"},{"$ref":"#/components/parameters/sortDirectionQuery"}],"tags":["AccountingConfigs"]}}}}
```

## Create a new accounting configs entry

> \*\*This endpoint is mostly legacy, and for internal use. We recommend to use the other endpoints to manage accounting information\*\*\
> \
> Creates a new accounting config entry for the supplied store\
> \
> For configType \`ACCOUNTNUMBER\` is the following keys valid:\
> Key | Description \
> \---------|----------\
> &#x20;CUSTOMER | Account for customer  \
> &#x20;CUSTOMERDUMMY | Dummy customer account\
> &#x20;ERROR | Error account, if no valid account is found\
> &#x20;PARTYLYPAIDINVOICE | Account for partyly paid invoices\
> &#x20;VATCODE |Account for a specific tax type\
> &#x20;CASHFLOAT\_DEPOSIT| Deposit cash float into the cash register\
> &#x20;CASHFLOAT\_WITHDRAWAL | Withdraw cash float from the cash register\
> &#x20;CASHFLOAT\_TO\_BANK | Withdraw cash float and transfer it to the bank\
> &#x20;CASHFLOAT\_EXPENSE\_WITHDRAWAL | Withdraw cash float for expenses throughout the day.\
> &#x20;CASHFLOAT\_DIFF | Account for cash register till count discrepancies\
> \
> For configType \`TREATCODE\` is the following keys valid:\
> Key | Description \
> \---------|----------\
> &#x20;CREDITLEDGER |  Used to credit notes\
> &#x20;GENERALLEDGER | Used for general ledger\
> &#x20;LEDGE | Used for invoices and other ledger\
> &#x20;PAYMENT | Used for payment of invoices\
> \
> For configType \`VAT\_TYPE\_ID\` is the following keys valid:\
> Key | Description \
> \---------|----------\
> &#x20;BALANCE |  \
> &#x20;VATCODE | Should have a vatCodeUid filled together with the TypeID for the specific VAT code\
> "\
> \
> Required permissions: ACCOUNTING\_CONFIG

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"AccountingConfigs","description":"AccountingConfigs"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"integrationToken":[]},{"authToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"}},"schemas":{"AccountingConfigsSchema":{"title":"AccountingConfigsSchema","description":"Accounting configs model","type":"object","properties":{"accountingConfigsUid":{"type":"string"},"configType":{"$ref":"#/components/schemas/AccountingConfigTypeENUM"},"key":{"$ref":"#/components/schemas/AccountingConfigKeyENUM"},"vatCodeUid":{"type":"string"},"value":{"type":"string"}}},"AccountingConfigTypeENUM":{"enum":["ACCOUNTNUMBER","TREATCODE","VAT_TYPE_ID","PRODUCTGROUP"],"title":"AccountingConfigTypeENUM","type":"string"},"AccountingConfigKeyENUM":{"enum":["CUSTOMER","CUSTOMERDUMMY","ERROR","PARTLYPAIDINVOICE","CREDITLEDGER","GENERALLEDGER","LEDGER","BALANCE","VATCODE","PAYMENT","CASHFLOAT_DEPOSIT","CASHFLOAT_WITHDRAWAL","CASHFLOAT_TO_BANK","CASHFLOAT_EXPENSE_WITHDRAWAL","CASHFLOAT_DIFF","MARGIN_VAT_SALES","MARGIN_VAT"],"title":"AccountingConfigsConfigKeyEnums","type":"string"},"AccountingConfigsRequestSchema":{"title":"AccountingConfigsRequestSchema","description":"Accounting configs model\n\nvatCodeUid should always be filled when `key` is of type `VATCODE`","type":"object","properties":{"accountingConfigUid":{"$ref":"#/components/schemas/UID"},"configType":{"$ref":"#/components/schemas/AccountingConfigTypeENUM"},"key":{"$ref":"#/components/schemas/AccountingConfigKeyENUM"},"value":{"type":"string"},"vatCodeUid":{"$ref":"#/components/schemas/UID"}},"required":["configType","key","value"]},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"}},"requestBodies":{"AccountingConfigsRequest":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountingConfigsRequestSchema"}}},"description":"Request body for Accounting Configs"}}},"paths":{"/tenants/{tenantUid}/stores/{storeUid}/accountingConfigs":{"post":{"summary":"Create a new accounting configs entry","operationId":"post-accountingConfigs","responses":{"201":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountingConfigsSchema"}}}}},"description":"**This endpoint is mostly legacy, and for internal use. We recommend to use the other endpoints to manage accounting information**\n\nCreates a new accounting config entry for the supplied store\n\nFor configType `ACCOUNTNUMBER` is the following keys valid:\nKey | Description \n---------|----------\n CUSTOMER | Account for customer  \n CUSTOMERDUMMY | Dummy customer account\n ERROR | Error account, if no valid account is found\n PARTYLYPAIDINVOICE | Account for partyly paid invoices\n VATCODE |Account for a specific tax type\n CASHFLOAT_DEPOSIT| Deposit cash float into the cash register\n CASHFLOAT_WITHDRAWAL | Withdraw cash float from the cash register\n CASHFLOAT_TO_BANK | Withdraw cash float and transfer it to the bank\n CASHFLOAT_EXPENSE_WITHDRAWAL | Withdraw cash float for expenses throughout the day.\n CASHFLOAT_DIFF | Account for cash register till count discrepancies\n\nFor configType `TREATCODE` is the following keys valid:\nKey | Description \n---------|----------\n CREDITLEDGER |  Used to credit notes\n GENERALLEDGER | Used for general ledger\n LEDGE | Used for invoices and other ledger\n PAYMENT | Used for payment of invoices\n\nFor configType `VAT_TYPE_ID` is the following keys valid:\nKey | Description \n---------|----------\n BALANCE |  \n VATCODE | Should have a vatCodeUid filled together with the TypeID for the specific VAT code\n\"\n\nRequired permissions: ACCOUNTING_CONFIG","requestBody":{"$ref":"#/components/requestBodies/AccountingConfigsRequest"},"tags":["AccountingConfigs"]}}}}
```

## Get accounting configs entry

> Get accounting configs entry for the supplied accountingConfigsUid

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"AccountingConfigs","description":"AccountingConfigs"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"authToken":[]},{"accessToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"responses":{"AccountingConfigsResponse":{"description":"Response body containing a accounting config entry","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountingConfigsResponseSchema"}},"application/xml":{"schema":{"type":"object","properties":{}}}}}},"schemas":{"AccountingConfigsResponseSchema":{"title":"AccountingConfigsResponseSchema","description":"Accounting configs model","type":"object","required":["accountingConfigsUid","configType","key","value","vatCodeUid","productGroupUid"],"properties":{"accountingConfigsUid":{"type":"string"},"configType":{"$ref":"#/components/schemas/AccountingConfigTypeENUM"},"key":{"$ref":"#/components/schemas/AccountingConfigKeyENUM"},"value":{"type":"string"},"vatCodeUid":{"$ref":"#/components/schemas/OptionalUID"},"productGroupUid":{"$ref":"#/components/schemas/OptionalUID"}}},"AccountingConfigTypeENUM":{"enum":["ACCOUNTNUMBER","TREATCODE","VAT_TYPE_ID","PRODUCTGROUP"],"title":"AccountingConfigTypeENUM","type":"string"},"AccountingConfigKeyENUM":{"enum":["CUSTOMER","CUSTOMERDUMMY","ERROR","PARTLYPAIDINVOICE","CREDITLEDGER","GENERALLEDGER","LEDGER","BALANCE","VATCODE","PAYMENT","CASHFLOAT_DEPOSIT","CASHFLOAT_WITHDRAWAL","CASHFLOAT_TO_BANK","CASHFLOAT_EXPENSE_WITHDRAWAL","CASHFLOAT_DIFF","MARGIN_VAT_SALES","MARGIN_VAT"],"title":"AccountingConfigsConfigKeyEnums","type":"string"},"OptionalUID":{"title":"OptionalUID","type":"string","pattern":"^[A-Za-z0-9-_]*"}}},"paths":{"/tenants/{tenantUid}/stores/{storeUid}/accountingConfigs/{accountingConfigUid}":{"get":{"description":"Get accounting configs entry for the supplied accountingConfigsUid","operationId":"get-accountingConfigs","responses":{"200":{"$ref":"#/components/responses/AccountingConfigsResponse"}},"summary":"Get accounting configs entry","parameters":[],"tags":["AccountingConfigs"]}}}}
```

## Update accounting config entry

> Updates the accounting configs entry belonging to the supplied accountingConfigsUid\
> \
> Required permissions: ACCOUNTING\_CONFIG

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"AccountingConfigs","description":"AccountingConfigs"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"authToken":[]},{"accessToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"requestBodies":{"AccountingConfigsUpdateRequest":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountingConfigsUpdateSchema"}}}}},"schemas":{"AccountingConfigsUpdateSchema":{"title":"AccountingConfigsUpdateSchema","description":"","type":"object","required":["value"],"properties":{"value":{"type":"string"}}},"AccountingConfigsResponseSchema":{"title":"AccountingConfigsResponseSchema","description":"Accounting configs model","type":"object","required":["accountingConfigsUid","configType","key","value","vatCodeUid","productGroupUid"],"properties":{"accountingConfigsUid":{"type":"string"},"configType":{"$ref":"#/components/schemas/AccountingConfigTypeENUM"},"key":{"$ref":"#/components/schemas/AccountingConfigKeyENUM"},"value":{"type":"string"},"vatCodeUid":{"$ref":"#/components/schemas/OptionalUID"},"productGroupUid":{"$ref":"#/components/schemas/OptionalUID"}}},"AccountingConfigTypeENUM":{"enum":["ACCOUNTNUMBER","TREATCODE","VAT_TYPE_ID","PRODUCTGROUP"],"title":"AccountingConfigTypeENUM","type":"string"},"AccountingConfigKeyENUM":{"enum":["CUSTOMER","CUSTOMERDUMMY","ERROR","PARTLYPAIDINVOICE","CREDITLEDGER","GENERALLEDGER","LEDGER","BALANCE","VATCODE","PAYMENT","CASHFLOAT_DEPOSIT","CASHFLOAT_WITHDRAWAL","CASHFLOAT_TO_BANK","CASHFLOAT_EXPENSE_WITHDRAWAL","CASHFLOAT_DIFF","MARGIN_VAT_SALES","MARGIN_VAT"],"title":"AccountingConfigsConfigKeyEnums","type":"string"},"OptionalUID":{"title":"OptionalUID","type":"string","pattern":"^[A-Za-z0-9-_]*"}},"responses":{"AccountingConfigsResponse":{"description":"Response body containing a accounting config entry","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountingConfigsResponseSchema"}},"application/xml":{"schema":{"type":"object","properties":{}}}}}}},"paths":{"/tenants/{tenantUid}/stores/{storeUid}/accountingConfigs/{accountingConfigUid}":{"put":{"description":"Updates the accounting configs entry belonging to the supplied accountingConfigsUid\n\nRequired permissions: ACCOUNTING_CONFIG","operationId":"put-accountingConfigs","requestBody":{"$ref":"#/components/requestBodies/AccountingConfigsUpdateRequest"},"responses":{"200":{"$ref":"#/components/responses/AccountingConfigsResponse"}},"summary":"Update accounting config entry","tags":["AccountingConfigs"]}}}}
```

## Delete accounting config entry

> Deletes the accounting configs entry belonging the supplied accountingConfigsUid\
> \
> Required permissions: ACCOUNTING\_CONFIG

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"AccountingConfigs","description":"AccountingConfigs"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"authToken":[]},{"accessToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}}},"paths":{"/tenants/{tenantUid}/stores/{storeUid}/accountingConfigs/{accountingConfigUid}":{"delete":{"description":"Deletes the accounting configs entry belonging the supplied accountingConfigsUid\n\nRequired permissions: ACCOUNTING_CONFIG","operationId":"delete-accountingConfigs","responses":{"204":{"description":""}},"summary":"Delete accounting config entry","parameters":[],"tags":["AccountingConfigs"]}}}}
```

## Create a new productgroup account mapping

> \*\*DEPRECATED use /tenants/{tenantUid}/stores/{storeUid}/accountingConfigs/productGroups instead\*\*\
> \
> Add a account number to a specific product group.\
> This account number will be used for all products with the specified vatcode in the specific product group and all children\
> \
> Required permissions: ACCOUNTING\_CONFIG

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"AccountingConfigs","description":"AccountingConfigs"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"responses":{"AccountingConfigsResponse":{"description":"Response body containing a accounting config entry","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountingConfigsResponseSchema"}},"application/xml":{"schema":{"type":"object","properties":{}}}}}},"schemas":{"AccountingConfigsResponseSchema":{"title":"AccountingConfigsResponseSchema","description":"Accounting configs model","type":"object","required":["accountingConfigsUid","configType","key","value","vatCodeUid","productGroupUid"],"properties":{"accountingConfigsUid":{"type":"string"},"configType":{"$ref":"#/components/schemas/AccountingConfigTypeENUM"},"key":{"$ref":"#/components/schemas/AccountingConfigKeyENUM"},"value":{"type":"string"},"vatCodeUid":{"$ref":"#/components/schemas/OptionalUID"},"productGroupUid":{"$ref":"#/components/schemas/OptionalUID"}}},"AccountingConfigTypeENUM":{"enum":["ACCOUNTNUMBER","TREATCODE","VAT_TYPE_ID","PRODUCTGROUP"],"title":"AccountingConfigTypeENUM","type":"string"},"AccountingConfigKeyENUM":{"enum":["CUSTOMER","CUSTOMERDUMMY","ERROR","PARTLYPAIDINVOICE","CREDITLEDGER","GENERALLEDGER","LEDGER","BALANCE","VATCODE","PAYMENT","CASHFLOAT_DEPOSIT","CASHFLOAT_WITHDRAWAL","CASHFLOAT_TO_BANK","CASHFLOAT_EXPENSE_WITHDRAWAL","CASHFLOAT_DIFF","MARGIN_VAT_SALES","MARGIN_VAT"],"title":"AccountingConfigsConfigKeyEnums","type":"string"},"OptionalUID":{"title":"OptionalUID","type":"string","pattern":"^[A-Za-z0-9-_]*"},"AccountingConfigsProductGroupRequestSchemaDeprecated":{"title":"AccountingConfigsProductGroupRequestSchemaDeprecated","description":"Create a new account mapping to a product group","type":"object","required":["value","vatCodeUid","productGroupUid"],"properties":{"accountingConfigUid":{"$ref":"#/components/schemas/UID"},"value":{"type":"string","description":"accountNumber"},"vatCodeUid":{"$ref":"#/components/schemas/UID"},"productGroupUid":{"$ref":"#/components/schemas/UID"}}},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"}}},"paths":{"/tenants/{tenantUid}/stores/{storeUid}/accountingConfigs/productGroup":{"post":{"summary":"Create a new productgroup account mapping","tags":["AccountingConfigs"],"responses":{"201":{"$ref":"#/components/responses/AccountingConfigsResponse"}},"operationId":"post-accountingConfigs-productGroup","description":"**DEPRECATED use /tenants/{tenantUid}/stores/{storeUid}/accountingConfigs/productGroups instead**\n\nAdd a account number to a specific product group.\nThis account number will be used for all products with the specified vatcode in the specific product group and all children\n\nRequired permissions: ACCOUNTING_CONFIG","requestBody":{"description":"Shared Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountingConfigsProductGroupRequestSchemaDeprecated"}}}},"deprecated":true}}}}
```

## List all productgroups with accounting information

> List all product groups with account number specified\
> \
> Required permissions: ACCOUNTING\_CONFIG

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"AccountingConfigs","description":"AccountingConfigs"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"responses":{"AccountingConfigsProductGroupListResponse":{"description":"Example response","content":{"application/json":{"schema":{"type":"object","required":["items","paging"],"properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/AccountingConfigsProductGroupResponseSchema"}},"paging":{"$ref":"#/components/schemas/Paging"}}}}}}},"schemas":{"AccountingConfigsProductGroupResponseSchema":{"title":"AccountingConfigsProductgroupSchema","type":"object","required":["productGroupUid","vatCodeUid","account","accountingConfigUid"],"properties":{"productGroupUid":{"$ref":"#/components/schemas/UID"},"vatCodeUid":{"$ref":"#/components/schemas/UID"},"account":{"description":"Account number","type":"string"},"accountingConfigUid":{"$ref":"#/components/schemas/UID"}}},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"Paging":{"description":"totalCount The total number of items in the result set.\n\npageSize The number of items per page.\n\npageNumber The current page in the result set.","properties":{"pageNumber":{"type":"integer"},"pageSize":{"type":"integer"},"totalCount":{"type":"integer"}},"required":["totalCount","pageSize","pageNumber"],"title":"Paging","type":"object"}},"parameters":{"pageSizeQuery":{"description":"The number of items per page in a result set.","in":"query","name":"pageSize","required":false,"schema":{"type":"integer"}},"pageNumberQuery":{"description":"Reference to a specific page in a result set.","in":"query","name":"pageNumber","required":false,"schema":{"type":"integer"}}}},"paths":{"/tenants/{tenantUid}/stores/{storeUid}/accountingConfigs/productGroups":{"get":{"summary":"List all productgroups with accounting information","tags":["AccountingConfigs"],"responses":{"200":{"$ref":"#/components/responses/AccountingConfigsProductGroupListResponse"}},"operationId":"get-tenants-stores-accountingConfigs-productGroups","description":"List all product groups with account number specified\n\nRequired permissions: ACCOUNTING_CONFIG","parameters":[{"$ref":"#/components/parameters/pageSizeQuery"},{"$ref":"#/components/parameters/pageNumberQuery"}]}}}}
```

## Create a new productgroup account mapping

> Add a account number to a specific product group.\
> This account number will be used for all products with the specified vatcode in the specific product group and all children\
> \
> Required permissions: ACCOUNTING\_CONFIG

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"AccountingConfigs","description":"AccountingConfigs"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"responses":{"AccountingConfigsProductGroupResponse":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountingConfigsProductGroupResponseSchema"}}}}},"schemas":{"AccountingConfigsProductGroupResponseSchema":{"title":"AccountingConfigsProductgroupSchema","type":"object","required":["productGroupUid","vatCodeUid","account","accountingConfigUid"],"properties":{"productGroupUid":{"$ref":"#/components/schemas/UID"},"vatCodeUid":{"$ref":"#/components/schemas/UID"},"account":{"description":"Account number","type":"string"},"accountingConfigUid":{"$ref":"#/components/schemas/UID"}}},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"AccountingConfigsProductGroupRequestSchema":{"title":"AccountingConfigsProductGroupRequestSchema","description":"Create a new account mapping to a product group","type":"object","required":["account","vatCodeUid","productGroupUid"],"properties":{"accountingConfigUid":{"$ref":"#/components/schemas/UID"},"account":{"type":"string","description":"accountNumber"},"vatCodeUid":{"$ref":"#/components/schemas/UID"},"productGroupUid":{"$ref":"#/components/schemas/UID"}}}},"requestBodies":{"AccountingConfigsProductGroupRequest":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountingConfigsProductGroupRequestSchema"}}}}}},"paths":{"/tenants/{tenantUid}/stores/{storeUid}/accountingConfigs/productGroups":{"post":{"summary":"Create a new productgroup account mapping","tags":["AccountingConfigs"],"responses":{"201":{"$ref":"#/components/responses/AccountingConfigsProductGroupResponse"}},"operationId":"post-accountingConfigs-productGroups","description":"Add a account number to a specific product group.\nThis account number will be used for all products with the specified vatcode in the specific product group and all children\n\nRequired permissions: ACCOUNTING_CONFIG","requestBody":{"$ref":"#/components/requestBodies/AccountingConfigsProductGroupRequest"}}}}}
```

## List all products with a store specific account number

> List the products that have a store specific account number configured.\
> \
> Only products with an override are returned — this is the configuration,\
> not the product catalogue. Products without an override use the account\
> number configured centrally on the product, or the product group and VAT\
> configuration for the store.\
> \
> An override is not applied for every product kind. On a product sold\
> under the VAT margin scheme it is listed here but has no effect on the\
> accounting report, Navision, 24Seven or VismaNet — the sale still books\
> to the margin sales and margin VAT accounts. Unimicro, VismaBusiness and\
> XLedger do not implement the margin scheme, and will book the sale to\
> this account instead. On a package wrapper product the override has no\
> effect — the wrapper is not booked at all, only its components are, and\
> an override on a component does apply. On a Flow gift card product the\
> account is used as the gift card settlement account, not a revenue\
> account.\
> \
> There is no delta query. Overrides are few (typically 10-50 per store),\
> so an accounting integration should fetch the full list per store.\
> \
> Required permissions: ACCOUNTING\_CONFIG

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"AccountingConfigs","description":"AccountingConfigs"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"responses":{"AccountingConfigsProductListResponse":{"description":"Example response","content":{"application/json":{"schema":{"type":"object","required":["items","paging"],"properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/AccountingConfigsProductResponseSchema"}},"paging":{"$ref":"#/components/schemas/Paging"}}}}}}},"schemas":{"AccountingConfigsProductResponseSchema":{"title":"AccountingConfigsProductSchema","type":"object","required":["productUid","sku","productName","account"],"properties":{"productUid":{"$ref":"#/components/schemas/UID"},"sku":{"type":"string","description":"The product's SKU"},"productName":{"type":"string","description":"The product's name"},"account":{"description":"Account number","type":"string"}}},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"Paging":{"description":"totalCount The total number of items in the result set.\n\npageSize The number of items per page.\n\npageNumber The current page in the result set.","properties":{"pageNumber":{"type":"integer"},"pageSize":{"type":"integer"},"totalCount":{"type":"integer"}},"required":["totalCount","pageSize","pageNumber"],"title":"Paging","type":"object"}},"parameters":{"pageSizeQuery":{"description":"The number of items per page in a result set.","in":"query","name":"pageSize","required":false,"schema":{"type":"integer"}},"pageNumberQuery":{"description":"Reference to a specific page in a result set.","in":"query","name":"pageNumber","required":false,"schema":{"type":"integer"}}}},"paths":{"/tenants/{tenantUid}/stores/{storeUid}/accountingConfigs/products":{"get":{"summary":"List all products with a store specific account number","tags":["AccountingConfigs"],"responses":{"200":{"$ref":"#/components/responses/AccountingConfigsProductListResponse"}},"operationId":"get-tenants-stores-accountingConfigs-products","description":"List the products that have a store specific account number configured.\n\nOnly products with an override are returned — this is the configuration,\nnot the product catalogue. Products without an override use the account\nnumber configured centrally on the product, or the product group and VAT\nconfiguration for the store.\n\nAn override is not applied for every product kind. On a product sold\nunder the VAT margin scheme it is listed here but has no effect on the\naccounting report, Navision, 24Seven or VismaNet — the sale still books\nto the margin sales and margin VAT accounts. Unimicro, VismaBusiness and\nXLedger do not implement the margin scheme, and will book the sale to\nthis account instead. On a package wrapper product the override has no\neffect — the wrapper is not booked at all, only its components are, and\nan override on a component does apply. On a Flow gift card product the\naccount is used as the gift card settlement account, not a revenue\naccount.\n\nThere is no delta query. Overrides are few (typically 10-50 per store),\nso an accounting integration should fetch the full list per store.\n\nRequired permissions: ACCOUNTING_CONFIG","parameters":[{"$ref":"#/components/parameters/pageSizeQuery"},{"$ref":"#/components/parameters/pageNumberQuery"},{"name":"productUid","in":"query","schema":{"$ref":"#/components/schemas/UID"},"description":"Only return the override for this product."},{"name":"sku","in":"query","schema":{"type":"string"},"description":"Only return the override for the product with this SKU."}]}}}}
```

## Set the store specific account number for a product

> Set the account number used for this product when it is sold in this store.\
> \
> The account is applied to the order line when the sale becomes a receipt.\
> It takes precedence over the account number configured centrally on the\
> product, and over the store's product group configuration.\
> \
> Three product kinds are the exception. A product sold under the VAT\
> margin scheme keeps booking to the margin sales and margin VAT accounts\
> on the accounting report, Navision, 24Seven and VismaNet, so the override\
> has no effect there — but Unimicro, VismaBusiness and XLedger do not\
> implement the margin scheme and will use this account for those lines.\
> A package wrapper product is not booked at all — only its components are,\
> and an override set on a component does apply. On a Flow gift card\
> product the account is used as the gift card settlement account, not a\
> revenue account.\
> \
> The product's VAT type determines the VAT group, so no vatCodeUid is needed.\
> \
> Creates the override if it does not exist, replaces it if it does. An empty\
> account is rejected — use DELETE to remove an override.\
> \
> Required permissions: ACCOUNTING\_CONFIG

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"AccountingConfigs","description":"AccountingConfigs"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"responses":{"AccountingConfigsProductResponse":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountingConfigsProductResponseSchema"}}}}},"schemas":{"AccountingConfigsProductResponseSchema":{"title":"AccountingConfigsProductSchema","type":"object","required":["productUid","sku","productName","account"],"properties":{"productUid":{"$ref":"#/components/schemas/UID"},"sku":{"type":"string","description":"The product's SKU"},"productName":{"type":"string","description":"The product's name"},"account":{"description":"Account number","type":"string"}}},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"AccountingConfigsProductRequestSchema":{"title":"AccountingConfigsProductRequestSchema","description":"Set the store specific account number for a product.\nThe product's VAT type determines the VAT group, so no vatCodeUid is needed.","type":"object","required":["account"],"properties":{"account":{"type":"string","minLength":1,"description":"Account number. Must not be empty — use DELETE to remove the override."}}}},"requestBodies":{"AccountingConfigsProductRequest":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountingConfigsProductRequestSchema"}}}}}},"paths":{"/tenants/{tenantUid}/stores/{storeUid}/accountingConfigs/products/{productUid}":{"put":{"summary":"Set the store specific account number for a product","tags":["AccountingConfigs"],"responses":{"200":{"$ref":"#/components/responses/AccountingConfigsProductResponse"}},"operationId":"put-tenants-stores-accountingConfigs-product","description":"Set the account number used for this product when it is sold in this store.\n\nThe account is applied to the order line when the sale becomes a receipt.\nIt takes precedence over the account number configured centrally on the\nproduct, and over the store's product group configuration.\n\nThree product kinds are the exception. A product sold under the VAT\nmargin scheme keeps booking to the margin sales and margin VAT accounts\non the accounting report, Navision, 24Seven and VismaNet, so the override\nhas no effect there — but Unimicro, VismaBusiness and XLedger do not\nimplement the margin scheme and will use this account for those lines.\nA package wrapper product is not booked at all — only its components are,\nand an override set on a component does apply. On a Flow gift card\nproduct the account is used as the gift card settlement account, not a\nrevenue account.\n\nThe product's VAT type determines the VAT group, so no vatCodeUid is needed.\n\nCreates the override if it does not exist, replaces it if it does. An empty\naccount is rejected — use DELETE to remove an override.\n\nRequired permissions: ACCOUNTING_CONFIG","requestBody":{"$ref":"#/components/requestBodies/AccountingConfigsProductRequest"}}}}}
```

## Remove the store specific account number for a product

> Remove the store specific account number for this product. The product then\
> falls back to the account number configured centrally on it, or to the\
> store's product group and VAT configuration.\
> \
> Receipts already created keep the account they were given.\
> \
> Required permissions: ACCOUNTING\_CONFIG

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"AccountingConfigs","description":"AccountingConfigs"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}}},"paths":{"/tenants/{tenantUid}/stores/{storeUid}/accountingConfigs/products/{productUid}":{"delete":{"summary":"Remove the store specific account number for a product","tags":["AccountingConfigs"],"responses":{"204":{"description":"No Content"}},"operationId":"delete-tenants-stores-accountingConfigs-product","description":"Remove the store specific account number for this product. The product then\nfalls back to the account number configured centrally on it, or to the\nstore's product group and VAT configuration.\n\nReceipts already created keep the account they were given.\n\nRequired permissions: ACCOUNTING_CONFIG"}}}}
```

## Get all account number information

> Get all account number information

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"AccountingConfigs","description":"AccountingConfigs"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"responses":{"AccountingConfigsAccountnumberResponse":{"description":"Example response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountingConfigsAccountnumberResponseSchema"}}}}},"schemas":{"AccountingConfigsAccountnumberResponseSchema":{"title":"AccountingConfigsAccountnumberSchema","description":"Accounting configs model","type":"object","required":["customer","customerDummy","error","partlyPaidInvoice","cashfloatDeposit","cashfloatWithdrawal","cashfloatToBank","cashfloatExpenseWithdrawal","cashfloatDiff","marginVatSales","marginVat","vatCodes"],"properties":{"customer":{"type":"string","description":"Account for customers"},"customerDummy":{"type":"string"},"error":{"type":"string","description":"Error account, used if no valid account is found"},"partlyPaidInvoice":{"type":"string","description":"Interim account for partly paid invoices."},"cashfloatDeposit":{"type":"string","description":"Deposit cash float into the cash register"},"cashfloatWithdrawal":{"type":"string","description":"Withdraw cash float from the cash register"},"cashfloatToBank":{"type":"string","description":"Withdraw cash float and transfer it to the bank"},"cashfloatExpenseWithdrawal":{"type":"string","description":"Withdraw cash float for expenses throughout the day"},"cashfloatDiff":{"type":"string","description":"Account for cash register till count discrepancies"},"marginVatSales":{"type":"string","description":"Revenue account for goods sold under the VAT margin scheme, such as used or refurbished goods. These lines are booked here net of the margin VAT, instead of on the account for their VAT code."},"marginVat":{"type":"string","description":"Account for the VAT on the margin of goods sold under the VAT margin scheme. It is posted separately because the VAT is calculated on the margin rather than on the sale price."},"vatCodes":{"type":"array","items":{"$ref":"#/components/schemas/AccountingConfigsAccountnumberVatcode"}}}},"AccountingConfigsAccountnumberVatcode":{"title":"AccountingConfigsAccountnumberVatcode","type":"object","required":["vatCodeUid","account"],"properties":{"vatCodeUid":{"$ref":"#/components/schemas/UID"},"account":{"type":"string"}},"description":"List of all VAT codes defined"},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"}}},"paths":{"/tenants/{tenantUid}/stores/{storeUid}/accountingConfigs/accountnumbers":{"get":{"summary":"Get all account number information","tags":["AccountingConfigs"],"responses":{"200":{"$ref":"#/components/responses/AccountingConfigsAccountnumberResponse"}},"operationId":"get-tenants-stores-accountingConfigs-accountnumbers","description":"Get all account number information"}}}}
```

## Update account number information

> Update account number information for a store\
> \
> Required permissions: ACCOUNTING\_CONFIG

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"AccountingConfigs","description":"AccountingConfigs"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"responses":{"AccountingConfigsAccountnumberResponse":{"description":"Example response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountingConfigsAccountnumberResponseSchema"}}}}},"schemas":{"AccountingConfigsAccountnumberResponseSchema":{"title":"AccountingConfigsAccountnumberSchema","description":"Accounting configs model","type":"object","required":["customer","customerDummy","error","partlyPaidInvoice","cashfloatDeposit","cashfloatWithdrawal","cashfloatToBank","cashfloatExpenseWithdrawal","cashfloatDiff","marginVatSales","marginVat","vatCodes"],"properties":{"customer":{"type":"string","description":"Account for customers"},"customerDummy":{"type":"string"},"error":{"type":"string","description":"Error account, used if no valid account is found"},"partlyPaidInvoice":{"type":"string","description":"Interim account for partly paid invoices."},"cashfloatDeposit":{"type":"string","description":"Deposit cash float into the cash register"},"cashfloatWithdrawal":{"type":"string","description":"Withdraw cash float from the cash register"},"cashfloatToBank":{"type":"string","description":"Withdraw cash float and transfer it to the bank"},"cashfloatExpenseWithdrawal":{"type":"string","description":"Withdraw cash float for expenses throughout the day"},"cashfloatDiff":{"type":"string","description":"Account for cash register till count discrepancies"},"marginVatSales":{"type":"string","description":"Revenue account for goods sold under the VAT margin scheme, such as used or refurbished goods. These lines are booked here net of the margin VAT, instead of on the account for their VAT code."},"marginVat":{"type":"string","description":"Account for the VAT on the margin of goods sold under the VAT margin scheme. It is posted separately because the VAT is calculated on the margin rather than on the sale price."},"vatCodes":{"type":"array","items":{"$ref":"#/components/schemas/AccountingConfigsAccountnumberVatcode"}}}},"AccountingConfigsAccountnumberVatcode":{"title":"AccountingConfigsAccountnumberVatcode","type":"object","required":["vatCodeUid","account"],"properties":{"vatCodeUid":{"$ref":"#/components/schemas/UID"},"account":{"type":"string"}},"description":"List of all VAT codes defined"},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"AccountingConfigsAccountnumberRequestSchema":{"title":"AccountingConfigsAccountnumberSchema","description":"Accounting configs model","type":"object","properties":{"customer":{"type":"string","description":"Account for customers"},"customerDummy":{"type":"string"},"error":{"type":"string","description":"Error account, used if no valid account is found"},"partlyPaidInvoice":{"type":"string","description":"Interim account for partly paid invoices."},"cashfloatDeposit":{"type":"string","description":"Deposit cash float into the cash register"},"cashfloatWithdrawal":{"type":"string","description":"Withdraw cash float from the cash register"},"cashfloatToBank":{"type":"string","description":"Withdraw cash float and transfer it to the bank"},"cashfloatExpenseWithdrawal":{"type":"string","description":"Withdraw cash float for expenses throughout the day"},"cashfloatDiff":{"type":"string","description":"Account for cash register till count discrepancies"},"marginVatSales":{"type":"string","description":"Revenue account for goods sold under the VAT margin scheme, such as used or refurbished goods. These lines are booked here net of the margin VAT, instead of on the account for their VAT code."},"marginVat":{"type":"string","description":"Account for the VAT on the margin of goods sold under the VAT margin scheme. It is posted separately because the VAT is calculated on the margin rather than on the sale price."},"vatCodes":{"type":"array","items":{"$ref":"#/components/schemas/AccountingConfigsAccountnumberVatcode"}}}}},"requestBodies":{"AccountingConfigsAccountnumberRequest":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountingConfigsAccountnumberRequestSchema"}}}}}},"paths":{"/tenants/{tenantUid}/stores/{storeUid}/accountingConfigs/accountnumbers":{"put":{"summary":"Update account number information","tags":["AccountingConfigs"],"responses":{"200":{"$ref":"#/components/responses/AccountingConfigsAccountnumberResponse"}},"operationId":"put-tenants-stores-accountingConfigs-accountnumber","description":"Update account number information for a store\n\nRequired permissions: ACCOUNTING_CONFIG","requestBody":{"$ref":"#/components/requestBodies/AccountingConfigsAccountnumberRequest"}}}}}
```

## Get all treat codes

> Get all treat codes

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"AccountingConfigs","description":"AccountingConfigs"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"responses":{"AccountingConfigsTreatcodeResponse":{"description":"Example response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountingConfigsTreatcodeResponseSchema"}}}}},"schemas":{"AccountingConfigsTreatcodeResponseSchema":{"title":"AccountingConfigsTreatcodeResponseSchema","description":"Treat codes","type":"object","required":["creditLedger","generalLedger","ledger","payment"],"properties":{"creditLedger":{"type":"string","description":"Used for credit notes"},"generalLedger":{"type":"string","description":"Used for general ledger"},"ledger":{"type":"string","description":"Used for invoices and other ledgers"},"payment":{"type":"string","description":"Used for payment of invoices"}}}}},"paths":{"/tenants/{tenantUid}/stores/{storeUid}/accountingConfigs/treatcodes":{"get":{"summary":"Get all treat codes","tags":["AccountingConfigs"],"responses":{"200":{"$ref":"#/components/responses/AccountingConfigsTreatcodeResponse"}},"operationId":"get-tenants-stores-accountingConfigs-treatcodes","description":"Get all treat codes"}}}}
```

## Update treat codes

> Update accounting treat codes for a store\
> \
> Required permissions: ACCOUNTING\_CONFIG

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"AccountingConfigs","description":"AccountingConfigs"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"responses":{"AccountingConfigsTreatcodeResponse":{"description":"Example response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountingConfigsTreatcodeResponseSchema"}}}}},"schemas":{"AccountingConfigsTreatcodeResponseSchema":{"title":"AccountingConfigsTreatcodeResponseSchema","description":"Treat codes","type":"object","required":["creditLedger","generalLedger","ledger","payment"],"properties":{"creditLedger":{"type":"string","description":"Used for credit notes"},"generalLedger":{"type":"string","description":"Used for general ledger"},"ledger":{"type":"string","description":"Used for invoices and other ledgers"},"payment":{"type":"string","description":"Used for payment of invoices"}}},"AccountingConfigsTreatcodeRequestSchema":{"title":"AccountingConfigsTreatcodeRequestSchema","description":"Treat codes","type":"object","properties":{"creditLedger":{"type":"string","description":"Used for credit notes"},"generalLedger":{"type":"string","description":"Used for general ledger"},"ledger":{"type":"string","description":"Used for invoices and other ledgers"},"payment":{"type":"string","description":"Used for payment of invoices"}}}},"requestBodies":{"AccountingConfigsTreatcodeRequest":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountingConfigsTreatcodeRequestSchema"}}}}}},"paths":{"/tenants/{tenantUid}/stores/{storeUid}/accountingConfigs/treatcodes":{"put":{"summary":"Update treat codes","tags":["AccountingConfigs"],"responses":{"200":{"$ref":"#/components/responses/AccountingConfigsTreatcodeResponse"}},"operationId":"put-tenants-stores-accountingConfigs-treatcodes","description":"Update accounting treat codes for a store\n\nRequired permissions: ACCOUNTING_CONFIG","requestBody":{"$ref":"#/components/requestBodies/AccountingConfigsTreatcodeRequest"}}}}}
```

## Get all VAT types

> Get all VAT type

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"AccountingConfigs","description":"AccountingConfigs"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"responses":{"AccountingConfigsVatTypeResponse":{"description":"Example response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountingConfigsVatTypeResponseSchema"}}}}},"schemas":{"AccountingConfigsVatTypeResponseSchema":{"title":"AccountingConfigsVatTypeResponseSchema","description":"Treat codes","type":"object","required":["balance","vatCodes"],"properties":{"balance":{"type":"string","description":"VAT type used for balance transactions"},"vatCodes":{"type":"array","items":{"$ref":"#/components/schemas/AccountingConfigsVatTypeVatcode"}}}},"AccountingConfigsVatTypeVatcode":{"title":"AccountingConfigsVatTypeVatcode","type":"object","description":"","required":["vatCodeUid","value"],"properties":{"vatCodeUid":{"$ref":"#/components/schemas/UID"},"value":{"type":"string"}}},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"}}},"paths":{"/tenants/{tenantUid}/stores/{storeUid}/accountingConfigs/vatTypes":{"get":{"summary":"Get all VAT types","tags":["AccountingConfigs"],"responses":{"200":{"$ref":"#/components/responses/AccountingConfigsVatTypeResponse"}},"operationId":"get-tenants-stores-accountingConfigs-vattypes","description":"Get all VAT type"}}}}
```

## Update VAT types

> Update accounting VAT type for a store\
> \
> Required permissions: ACCOUNTING\_CONFIG

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"AccountingConfigs","description":"AccountingConfigs"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"responses":{"AccountingConfigsVatTypeResponse":{"description":"Example response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountingConfigsVatTypeResponseSchema"}}}}},"schemas":{"AccountingConfigsVatTypeResponseSchema":{"title":"AccountingConfigsVatTypeResponseSchema","description":"Treat codes","type":"object","required":["balance","vatCodes"],"properties":{"balance":{"type":"string","description":"VAT type used for balance transactions"},"vatCodes":{"type":"array","items":{"$ref":"#/components/schemas/AccountingConfigsVatTypeVatcode"}}}},"AccountingConfigsVatTypeVatcode":{"title":"AccountingConfigsVatTypeVatcode","type":"object","description":"","required":["vatCodeUid","value"],"properties":{"vatCodeUid":{"$ref":"#/components/schemas/UID"},"value":{"type":"string"}}},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"AccountingConfigsVatTypeRequestSchema":{"title":"AccountingConfigsVatTypeRequestSchema","description":"Treat codes","type":"object","properties":{"balance":{"type":"string","description":"VAT type used for balance transactions"},"vatCodes":{"type":"array","items":{"$ref":"#/components/schemas/AccountingConfigsVatTypeVatcode"}}}}},"requestBodies":{"AccountingConfigsVatTypeRequest":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountingConfigsVatTypeRequestSchema"}}}}}},"paths":{"/tenants/{tenantUid}/stores/{storeUid}/accountingConfigs/vatTypes":{"put":{"summary":"Update VAT types","tags":["AccountingConfigs"],"responses":{"200":{"$ref":"#/components/responses/AccountingConfigsVatTypeResponse"}},"operationId":"put-tenants-stores-accountingConfigs-vattypes","description":"Update accounting VAT type for a store\n\nRequired permissions: ACCOUNTING_CONFIG","requestBody":{"$ref":"#/components/requestBodies/AccountingConfigsVatTypeRequest"}}}}}
```

## Customer information with accounting settings

> Get customer information including store specific accounting information

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"AccountingConfigs","description":"AccountingConfigs"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"responses":{"AccountingConfigsCustomerResponse":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountingConfigsCustomerSchema"}}}}},"schemas":{"AccountingConfigsCustomerSchema":{"title":"AccountingConfigsCustomerSchema","type":"object","required":["ledgerNumber"],"properties":{"ledgerNumber":{"type":"string","description":"Ledger number for the customer on the specific store"}}}}},"paths":{"/tenants/{tenantUid}/stores/{storeUid}/accountingConfigs/customers/{customerUid}":{"get":{"summary":"Customer information with accounting settings","tags":["AccountingConfigs"],"responses":{"200":{"$ref":"#/components/responses/AccountingConfigsCustomerResponse"}},"operationId":"get-tenants-stores-accountingConfigs-customer","description":"Get customer information including store specific accounting information"}}}}
```

## Update customer ledger information

> Update customer with store specific accounting information.\
> \
> Required permissions: ACCOUNTING\_CONFIG, CUSTOMER

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"AccountingConfigs","description":"AccountingConfigs"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"responses":{"AccountingConfigsCustomerResponse":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountingConfigsCustomerSchema"}}}}},"schemas":{"AccountingConfigsCustomerSchema":{"title":"AccountingConfigsCustomerSchema","type":"object","required":["ledgerNumber"],"properties":{"ledgerNumber":{"type":"string","description":"Ledger number for the customer on the specific store"}}}},"requestBodies":{"AccountingConfigsCustomerRequest":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountingConfigsCustomerSchema"}}}}}},"paths":{"/tenants/{tenantUid}/stores/{storeUid}/accountingConfigs/customers/{customerUid}":{"put":{"summary":"Update customer ledger information","tags":["AccountingConfigs"],"responses":{"200":{"$ref":"#/components/responses/AccountingConfigsCustomerResponse"}},"operationId":"put-tenants-stores-accountingConfigs-customer","description":"Update customer with store specific accounting information.\n\nRequired permissions: ACCOUNTING_CONFIG, CUSTOMER","requestBody":{"$ref":"#/components/requestBodies/AccountingConfigsCustomerRequest"}}}}}
```

## Customer information with accounting settings

> Get full customer information including store specific accounting information

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"AccountingConfigs","description":"AccountingConfigs"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"responses":{"AccountingConfigsFullCustomerResponse":{"description":"Example response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountingConfigsFullCustomerResponseSchema"}}}}},"schemas":{"AccountingConfigsFullCustomerResponseSchema":{"title":"AccountingConfigsFullCustomerResponseSchema","type":"object","required":["accounting","customer"],"properties":{"accounting":{"$ref":"#/components/schemas/AccountingConfigsCustomerSchema"},"customer":{"$ref":"#/components/schemas/CustomerResponseSchema"}}},"AccountingConfigsCustomerSchema":{"title":"AccountingConfigsCustomerSchema","type":"object","required":["ledgerNumber"],"properties":{"ledgerNumber":{"type":"string","description":"Ledger number for the customer on the specific store"}}},"CustomerResponseSchema":{"title":"CustomerResponseSchema","type":"object","description":"CustomerResponseSchema","required":["address","city","companyName","countryCode","createdAt","customerUid","customerNumber","customerParentUid","customerType","email","externalId","firstname","lastModifiedAt","lastname","mobile","postalCode","pricelistUid","vatNumber","origin","addresses","contacts","extensions","consents","loyaltyId","displayName","credit","paymentTerms","internalNote","accountManager","ehf","customerGroupUids","defaultStore","relevance"],"properties":{"address":{"type":"string"},"city":{"type":"string"},"companyName":{"type":"string"},"countryCode":{"description":"ISO 3166-1: 2 characters representation of country","type":"string"},"createdAt":{"format":"date-time","type":"string"},"customerUid":{"$ref":"#/components/schemas/UID"},"customerParentUid":{"description":"References another customer, establishing it as a department under the main customer. Only applicable when customerType is COMPANY.","$ref":"#/components/schemas/OptionalUID"},"customerType":{"$ref":"#/components/schemas/CustomerTypeENUM"},"email":{"$ref":"#/components/schemas/EmailTYPE"},"externalId":{"type":"string"},"customerNumber":{"type":"string","description":"Tenant-scoped running customer number, assigned on creation. Absent for customers created before customer numbers were enabled, or when the tenant has no customer number series."},"firstname":{"type":"string"},"lastModifiedAt":{"format":"date-time","type":"string"},"lastname":{"type":"string"},"ledgerNumber":{"type":"string","deprecated":true,"description":"Deprecated. Use ledgerNumber in accountingConfigs instead"},"mobile":{"type":"string"},"postalCode":{"type":"string"},"pricelistUid":{"$ref":"#/components/schemas/OptionalUID"},"vatNumber":{"$ref":"#/components/schemas/VatNumberTYPE"},"origin":{"type":"string"},"addresses":{"type":"array","items":{"$ref":"#/components/schemas/CustomerAddressResponseSchema"}},"contacts":{"type":"array","items":{"$ref":"#/components/schemas/CustomerContactResponseSchema"}},"extensions":{"type":"array","items":{"$ref":"#/components/schemas/CustomerExtensionResponseSchema"}},"consents":{"type":"array","items":{"$ref":"#/components/schemas/CustomerConsentStatusSchema"}},"loyaltyId":{"type":"string"},"displayName":{"type":"string"},"credit":{"$ref":"#/components/schemas/CustomerCreditResponseSchema"},"paymentTerms":{"type":"integer"},"internalNote":{"type":"string"},"accountManager":{"$ref":"#/components/schemas/AccountManagerResponseSchema"},"ehfEnabled":{"type":"boolean","description":"Deprecated: Use ehf -> enabled instead","deprecated":true},"ehf":{"$ref":"#/components/schemas/CustomerEhfResponseSchema"},"customerGroupUids":{"type":"array","items":{"$ref":"#/components/schemas/UID"}},"defaultStore":{"$ref":"#/components/schemas/CustomerStoreResponseSchema"},"representedStore":{"description":"Inter-store trade: the store this customer represents (the buyer). Only set when the INTER_STORE_TRADE extension is active.","allOf":[{"$ref":"#/components/schemas/CustomerStoreResponseSchema"}]},"relevance":{"type":"number"}}},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"OptionalUID":{"title":"OptionalUID","type":"string","pattern":"^[A-Za-z0-9-_]*"},"CustomerTypeENUM":{"enum":["COMPANY","PERSON","B2B"],"title":"CustomerTypeENUM","type":"string"},"EmailTYPE":{"title":"Email","type":"string"},"VatNumberTYPE":{"description":"VAT identification number for value added tax reporting purposes.","title":"VatNumber","type":"string"},"CustomerAddressResponseSchema":{"title":"CustomerAddressResponseSchema","type":"object","required":["address","city","companyName","firstname","lastname","countryCode","email","phone","postalCode","type","customerAddressUid","displayName"],"properties":{"address":{"type":"string"},"city":{"type":"string"},"companyName":{"type":"string"},"firstname":{"type":"string"},"lastname":{"type":"string"},"countryCode":{"type":"string"},"email":{"$ref":"#/components/schemas/EmailTYPE"},"phone":{"type":"string"},"postalCode":{"type":"string"},"type":{"$ref":"#/components/schemas/CustomerAddressTypeENUM"},"customerAddressUid":{"type":"string"},"displayName":{"type":"string"}}},"CustomerAddressTypeENUM":{"enum":["DELIVERY_ADDRESS","INVOICE_ADDRESS"],"title":"CustomerAddressTypeENUM","type":"string"},"CustomerContactResponseSchema":{"title":"CustomerContactResponseSchema","type":"object","description":"CustomerContactResponseSchema","required":["firstname","lastname","email","mobile","address","postalCode","city","createdAt","lastModifiedAt","customerContactUid","extensions","displayName","role"],"properties":{"firstname":{"type":"string"},"lastname":{"type":"string"},"email":{"$ref":"#/components/schemas/EmailTYPE"},"mobile":{"type":"string"},"address":{"type":"string"},"postalCode":{"type":"string"},"city":{"type":"string"},"createdAt":{"type":"string","format":"date-time"},"lastModifiedAt":{"type":"string","format":"date-time"},"customerContactUid":{"type":"string"},"extensions":{"type":"array","items":{"$ref":"#/components/schemas/CustomerContactExtensionResponseSchema"}},"displayName":{"type":"string"},"role":{"$ref":"#/components/schemas/CustomerContactRoleENUM"}}},"CustomerContactExtensionResponseSchema":{"description":"CustomerContactExtensionResponseSchema","title":"CustomerContactExtensionResponseSchema","type":"object","properties":{"extensionCode":{"$ref":"#/components/schemas/CustomerExtensionCodeENUM"},"organizationUid":{"$ref":"#/components/schemas/UID"}},"required":["extensionCode","organizationUid"]},"CustomerExtensionCodeENUM":{"description":"|ENUM      | Description |\n| ---------------- | ------------ |\n| TWO_INVOICE | The Two Invoice extension.|\n| KLAVIYO_PROFILE_ID | Klaviyo profile ID |","enum":["TWO_INVOICE","KLAVIYO_PROFILE_ID"],"title":"CustomerExtensionCodeENUM","type":"string"},"CustomerContactRoleENUM":{"title":"CustomerContactRoleENUM","type":"string","enum":["ADMIN","PURCHASER","ACCOUNTING","NONE"]},"CustomerExtensionResponseSchema":{"title":"CustomerExtensionResponseSchema","description":"CustomerExtensionResponseSchema","type":"object","required":["extensionCode","organizationUid"],"properties":{"extensionCode":{"$ref":"#/components/schemas/CustomerExtensionCodeENUM"},"organizationUid":{"$ref":"#/components/schemas/OptionalUID"}}},"CustomerConsentStatusSchema":{"title":"CustomerConsentStatusSchema","type":"object","required":["consentUid","name","status","source","createdAt"],"properties":{"consentUid":{"$ref":"#/components/schemas/UID"},"name":{"type":"string"},"status":{"type":"boolean"},"source":{"type":"string"},"createdAt":{"type":"string","format":"date-time"}}},"CustomerCreditResponseSchema":{"title":"CustomerCreditResponseSchema","required":["limit","balance"],"properties":{"limit":{"type":"integer"},"balance":{"type":"integer"}},"type":"object"},"AccountManagerResponseSchema":{"title":"AccountManagerResponseSchema","type":"object","required":["tenantUserUid","displayName","userCode"],"properties":{"tenantUserUid":{"$ref":"#/components/schemas/OptionalUID"},"displayName":{"type":"string"},"userCode":{"type":"string"}}},"CustomerEhfResponseSchema":{"title":"CustomerEhfResponseSchema","type":"object","required":["enabled","address"],"properties":{"enabled":{"type":"boolean","description":"EHF is enabled for this customer"},"address":{"type":"string","description":"EHF address"}}},"CustomerStoreResponseSchema":{"title":"CustomerStoreResponseSchema","type":"object","nullable":true,"required":["name","storeUid"],"properties":{"name":{"type":"string"},"storeUid":{"$ref":"#/components/schemas/UID"}}}}},"paths":{"/tenants/{tenantUid}/stores/{storeUid}/accountingConfigs/customers/{customerUid}/full":{"get":{"summary":"Customer information with accounting settings","tags":["AccountingConfigs"],"responses":{"200":{"$ref":"#/components/responses/AccountingConfigsFullCustomerResponse"}},"operationId":"get-tenants-stores-accountingConfigs-customer-full","description":"Get full customer information including store specific accounting information"}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.flowretail.com/docs/developers/api-documentation/accounting-configs.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
